Get Payment
curl --request GET \
--url https://api.business-os.de/v2/banking/payments/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.business-os.de/v2/banking/payments/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.business-os.de/v2/banking/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "7364509182736450918",
"reference": "RG-2026-03024",
"provider_code": "musterbank_oauth_client_de",
"provider_name": "Musterbank",
"created_at": "2026-03-24T12:26:30Z",
"updated_at": "2026-03-24T12:27:10Z",
"refresh_interval": 3600,
"refresh_timeout": 172800,
"status": "settled",
"raw_provider_status": "ACCC",
"template_identifier": "SEPA",
"payment_attributes": {
"amount": "1.00",
"debtor_iban": "DE89370400440532013000",
"description": "Rechnung RE-2026-001",
"creditor_iban": "DE27100777770209299700",
"creditor_name": "Mustermann GmbH",
"creditor_bic": "TRISDE55XXX",
"currency_code": "EUR",
"end_to_end_id": "RE-2026-001",
"customer_ip_address": "203.0.113.42"
},
"last_attempt": {
"id": "5091827364509182736",
"custom_fields": {}
}
}
}Banking PIS
Get Payment
Ruft den aktuellen Status und die Details einer initiierten Zahlung ab.
Cost: 1 Credit
GET
/
v2
/
banking
/
payments
/
{id}
Get Payment
Authorizations
Dein Business OS API Key. Erstelle einen unter app.business-os.de → API Keys.
Path Parameters
Payment-ID
Query Parameters
Banking-API: partner (regulierte Banken) oder openbanking (unregulierte wie AMEX, Revolut)
Available options:
partner, openbanking Response
Zahlungsdetails und Status
Eine initiierte Zahlung
Show child attributes
Show child attributes
⌘I